import { GroupIdentifier, GroupDirection, IAddGroupOptions, GroupsOrder, IMergeGroupOptions, IEditorGroup, GroupsArrangement, IFindGroupScope } from '@workbench-stack/core';
export declare const DEFAULT_GROUP_ID = 1;
export declare function findGroup(scope: IFindGroupScope, source: IEditorGroup | GroupIdentifier, groups: readonly IEditorGroup[], wrap?: boolean): IEditorGroup;
export declare function getActiveGroup(groups: readonly IEditorGroup[]): IEditorGroup;
export declare function getLabel(id: GroupIdentifier): void;
export declare function getGroup(idenfifier: GroupIdentifier, groups: readonly IEditorGroup[]): IEditorGroup;
export declare function getGroups(order: GroupsOrder, groups: readonly IEditorGroup[]): readonly IEditorGroup[];
export declare function arrageGroups(arrangement: GroupsArrangement, groups: readonly IEditorGroup[]): readonly IEditorGroup[];
export declare function activateGroup(group: GroupIdentifier | IEditorGroup, groups: readonly IEditorGroup[]): IEditorGroup[];
export declare function setGroupMode(group: GroupIdentifier | IEditorGroup, groups: readonly IEditorGroup[], mode: string): IEditorGroup[];
export declare function deactivateGroups(groups: readonly IEditorGroup[]): IEditorGroup[];
export declare function addGroup(location: GroupIdentifier, direction: GroupDirection, groups: readonly IEditorGroup[], options?: IAddGroupOptions): IEditorGroup[];
export declare function getOrCreateGroup(id: GroupIdentifier | undefined, groups: readonly IEditorGroup[], options?: IAddGroupOptions): IEditorGroup;
export declare function updateGroup(group: IEditorGroup, groups: readonly IEditorGroup[]): IEditorGroup[];
export declare function removeGroup(group: GroupIdentifier | IEditorGroup, groups: readonly IEditorGroup[]): IEditorGroup[];
export declare function moveGroup(group: GroupIdentifier, location: GroupIdentifier, direction: GroupDirection, groups: readonly IEditorGroup[]): readonly IEditorGroup[];
export declare function copyGroup(group: GroupIdentifier, location: GroupIdentifier, direction: GroupDirection, groups: readonly IEditorGroup[]): void;
export declare function mergeGroup(group: GroupIdentifier, target: GroupIdentifier, groups: readonly IEditorGroup[], options?: IMergeGroupOptions): void;
export declare function indexOf(candidate: IEditorGroup | null, groups: readonly IEditorGroup[]): number;
